import { jsx } from "react/jsx-runtime";
import { TokenDOGEGF as TokenDOGEGF$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDOGEGF = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DOGEGF", "data-name": "TokenDOGEGF", ...props, children: /* @__PURE__ */ jsx(TokenDOGEGF$1, { variant }) });
  }
);
TokenDOGEGF.displayName = "TokenDOGEGF";
Object.assign(TokenDOGEGF, { isGdsIcon: true });
export {
  TokenDOGEGF
};
